// =====================================================================
//  $Id: St02BadChannelMap.hh,v 1.3 2003/10/06 16:28:19 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: St02BadChannelMap.hh,v $
//  Revision 1.3  2003/10/06 16:28:19  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:16:34  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __ST02BADCHANNELMAP_HH
#define __ST02BADCHANNELMAP_HH

#include "Tglobals.h"
#include "St02Map.hh"
#include "St02OfflineDarkRmsMap.hh"

class St02BadChannelMap
  : public St02Map
{

  private:
    St02OfflineDarkRmsMap theOfflineDarkRmsMap;

  public:
    St02BadChannelMap( const Tstring& filename );
    ~St02BadChannelMap();

  public:
    const St02OfflineDarkRmsMap& GetOfflineDarkRmsMap() const;

  public:
    Tbool IsBadChannel( Tint row, Tint col ) const;
    Tbool IsGoodChannel( Tint row, Tint col ) const;
    Tvoid SetBadChannel( Tint row, Tint col );
    Tvoid SetGoodChannel( Tint row, Tint col );
    Tint GetNumberOfBadChannels() const;
    Tint GetNumberOfGoodChannels() const;

};

inline const St02OfflineDarkRmsMap& St02BadChannelMap::GetOfflineDarkRmsMap() const
{
  return theOfflineDarkRmsMap;
}

#endif
